#ifndef Angemeldet_H
#define Angemeldet_H

#include <Klient.h>
#include <Bild.h>
#include <Knopf.h>

using namespace Framework;

class AngemeldetFenster
{
private:
	Punkt pos;
	Punkt gr;
	LRahmen *rahmen;
	TextFeld *spielName;
	TextFeld *karteName;
	TextFeld *zeit;
	Knopf *abbrechen;
	TextFeld *spielGefunden;
	TextFeld *warten;
	Knopf *beitreten;
	TextFeld *kick;
	Knopf *ok;
	int karteId;
	int gameId;
	int animation;
    unsigned char aAlpha;
	unsigned char alpha;
	double tickVal;
	double time;
	int status;
	int aktion;
	bool rend;
	int ref;

public:
	// Konstruktor
	AngemeldetFenster( Schrift *zSchrift );
	// Destruktor
	~AngemeldetFenster();
	// nicht constant
	bool setKarteId( int karteId );
	void setSichtbar( bool sichtbar );
	void setSpielGefunden();
	void setVerbleibendeZeit( int sekunden );
	void spielGefundenAbbruch();
	void zurückInWarteschlange( int stunden, int minuten, int sekunden );
	bool tick( double tickVal );
	void doMausEreignis( MausEreignis &me );
	void render( Bild &zrObj );
	int getAktion();
	// constant
	int getKarteId() const;
	// Reference Countong
	AngemeldetFenster *getThis();
	AngemeldetFenster *release();
};

#endif